%{CPP_TEMPLATE}
#include "%{APPNAMELC}.h"

#include <kommanderplugin.h>
#include <tdeglobal.h>
#include <kiconloader.h>
#include <tdelocale.h>
#include "%{APPNAMELC}.h"

class %{APPNAME}Plugin : public KommanderPlugin
{
public:
    %{APPNAME}Plugin();
    virtual TQWidget *create( const TQString &className, TQWidget *parent = 0, const char *name = 0);
};

%{APPNAME}Plugin::%{APPNAME}Plugin()
{
    addWidget( "%{APPNAME}", "Custom", i18n("Kommander %{APPNAME} plugin."), new TQIconSet(TDEGlobal::iconLoader()->loadIcon("%{APPNAMELC}", TDEIcon::NoGroup, TDEIcon::SizeMedium)) );
}

TQWidget *%{APPNAME}Plugin::create( const TQString &className, TQWidget *parent, const char *name)
{
  if (className == "%{APPNAME}")
    return new %{APPNAME}(parent, name);
  return 0;
}

KOMMANDER_EXPORT_PLUGIN(%{APPNAME}Plugin)
